<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('temp_account_imports', function (Blueprint $table) {
            $table->id();
            $table->string('account_name')->nullable();
            $table->string('customer_id')->nullable();
            $table->string('phone')->nullable();
            $table->string('account_group')->nullable();
            $table->text('address')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->string('country')->nullable();
            $table->string('pin')->nullable();
            $table->string('license_1')->nullable();
            $table->string('license_2')->nullable();
            $table->string('license_3')->nullable();
            $table->string('license_4')->nullable();
            $table->string('license_5')->nullable();
            $table->string('license_6')->nullable();
            $table->string('license_7')->nullable();
            $table->string('license_8')->nullable();
            $table->string('license_9')->nullable();
            $table->string('license_10')->nullable();
            $table->string('license_11')->nullable();
            $table->string('license_12')->nullable();
            $table->string('license_13')->nullable();
            $table->string('license_14')->nullable();
            $table->string('license_15')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('temp_account_imports');
    }
};
